Package com.norconex.commons.lang.file

# Class ContentFamily

java.lang.Object
com.norconex.commons.lang.file.ContentFamily

public final class ContentFamily extends Object
Represents a family of content types. Typically, a broader, conceptual object for related content types.
To provide your own content type mappings or display names, copy the appropriate `.properties` file to your classpath root, with the word "custom" inserted: `ContentFamily-custom-[...]`. The actual custom names and classpath location are:

Original vs custom mapping files.
Original | Custom
--- | ---
com.norconex.commmons.lang.file.ContentFamily-mappings.properties | ContentFamily-custom-mappings.properties
com.norconex.commmons.lang.file.ContentFamily-name[_locale].properties | ContentFamily-custom-name[_locale].properties

Since:
  1.4.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(ContentType contentType)`
  `boolean`
  `contains(String contentType)`
  `boolean`
  `equals(Object obj)`
  `static ContentFamily`
  `forContentType(ContentType contentType)`
  `static ContentFamily`
  `forContentType(String contentType)`
  `String`
  `getDisplayName()`
  `String`
  `getDisplayName(Locale locale)`
  `String`
  `getId()`
  `int`
  `hashCode()`
  `String`
  `toString()`
  `static ContentFamily`
  `valueOf(String familyId)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### valueOf

    public static ContentFamily valueOf(String familyId)

  - ### forContentType

    public static ContentFamily forContentType(ContentType contentType)

  - ### forContentType

    public static ContentFamily forContentType(String contentType)

  - ### getId

    public String getId()

  - ### getDisplayName

    public String getDisplayName()

  - ### getDisplayName

    public String getDisplayName(Locale locale)

  - ### contains

    public boolean contains(ContentType contentType)

  - ### contains

    public boolean contains(String contentType)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`